diff --git a/graphics/gpu-firmware-amd-kmod/Makefile b/graphics/gpu-firmware-amd-kmod/Makefile
index 48ec713e6..14cac6ce4 100644
--- a/graphics/gpu-firmware-amd-kmod/Makefile
+++ b/graphics/gpu-firmware-amd-kmod/Makefile
@@ -1,5 +1,5 @@
 PORTNAME=	gpu-firmware-amd-kmod
-PORTVERSION=	20250109
+PORTVERSION=	20250808
 CATEGORIES=	graphics
 
 MAINTAINER=	x11@FreeBSD.org
@@ -16,7 +16,9 @@ ONLY_FOR_ARCHS_REASON=	AMD GPUs are only available on aarch64, x86 and powerpc64
 
 PKGNAMESUFFIX=	-${FLAVOR:C/_/-/g}
 FLAVORS=	aldebaran \
+		aldebaran_ip_discovery \
 		arcturus \
+		arcturus_ip_discovery \
 		banks \
 		beige_goby \
 		bonaire \
@@ -28,8 +30,14 @@ FLAVORS=	aldebaran \
 		dcn_3_2_0 \
 		dcn_3_2_1 \
 		dcn_3_5 \
+		dcn_3_5_1 \
+		dcn_3_6 \
+		dcn_4_0_1 \
+		dimgrey_cavefish \
 		fiji \
 		gc_9_4_3 \
+		gc_9_4_4 \
+		gc_9_5_0 \
 		gc_10_3_6 \
 		gc_10_3_7 \
 		gc_11_0_0 \
@@ -38,16 +46,25 @@ FLAVORS=	aldebaran \
 		gc_11_0_3 \
 		gc_11_0_4 \
 		gc_11_5_0 \
+		gc_11_5_1 \
+		gc_11_5_2 \
+		gc_11_5_3 \
+		gc_12_0_0 \
+		gc_12_0_1 \
+		green_sardine \
 		hainan \
 		hawaii \
+		isp_4_1_1 \
 		kabini \
 		kaveri \
 		mullins \
 		navi10 \
 		navi12 \
 		navi14 \
+		navy_flounder \
 		oland \
 		picasso \
+		picasso_ip_discovery \
 		pitcairn \
 		polaris10 \
 		polaris11 \
@@ -60,9 +77,18 @@ FLAVORS=	aldebaran \
 		psp_13_0_8 \
 		psp_13_0_10 \
 		psp_13_0_11 \
+		psp_13_0_12 \
+		psp_13_0_14 \
 		psp_14_0_0 \
+		psp_14_0_1 \
+		psp_14_0_2 \
+		psp_14_0_3 \
+		psp_14_0_4 \
+		psp_14_0_5 \
 		raven \
+		raven_ip_discovery \
 		raven2 \
+		raven2_ip_discovery \
 		renoir \
 		sdma_4_4_2 \
 		sdma_5_2_6 \
@@ -72,33 +98,47 @@ FLAVORS=	aldebaran \
 		sdma_6_0_2 \
 		sdma_6_0_3 \
 		sdma_6_1_0 \
+		sdma_6_1_1 \
+		sdma_6_1_2 \
+		sdma_6_1_3 \
+		sdma_7_0_0 \
+		sdma_7_0_1 \
 		si58 \
+		sienna_cichlid \
 		smu_13_0_0 \
+		smu_13_0_10 \
 		smu_13_0_6 \
 		smu_13_0_7 \
-		smu_13_0_10 \
+		smu_13_0_14 \
 		smu_14_0_2 \
+		smu_14_0_3 \
 		stoney \
 		tahiti \
 		tonga \
 		topaz \
+		umsch_mm_4_0_0 \
+		vangogh \
 		vcn_3_1_2 \
 		vcn_4_0_0 \
 		vcn_4_0_2 \
 		vcn_4_0_3 \
 		vcn_4_0_4 \
 		vcn_4_0_5 \
+		vcn_4_0_6 \
+		vcn_4_0_6_1 \
+		vcn_5_0_0 \
+		vcn_5_0_1 \
 		vega10 \
+		vega10_ip_discovery \
 		vega12 \
+		vega12_ip_discovery \
 		vega20 \
+		vega20_ip_discovery \
 		vegam \
 		verde \
 		vpe_6_1_0 \
-		dimgrey_cavefish \
-		green_sardine \
-		navy_flounder \
-		sienna_cichlid \
-		vangogh \
+		vpe_6_1_1 \
+		vpe_6_1_3 \
 		yellow_carp
 
 USES=		kmod uidfix
@@ -106,7 +146,7 @@ USES=		kmod uidfix
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
 GH_PROJECT=	drm-kmod-firmware
-GH_TAGNAME=	20250109
+GH_TAGNAME=	20250808_2
 
 MAKE_ENV=	KMODS="amdgpukmsfw"
 MAKE_ENV+=	AMDGPUKMODS="${FLAVOR}"
diff --git a/graphics/gpu-firmware-amd-kmod/distinfo b/graphics/gpu-firmware-amd-kmod/distinfo
index 69a92c21b..c75db25c3 100644
--- a/graphics/gpu-firmware-amd-kmod/distinfo
+++ b/graphics/gpu-firmware-amd-kmod/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1765464984
-SHA256 (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = b204a6bbc44e537cf74d84a025a3634833e86a0f28cedf1ae216257039414229
-SIZE (freebsd-drm-kmod-firmware-20250109_GH0.tar.gz) = 40111427
+TIMESTAMP = 1779876979
+SHA256 (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = df6e6dfd876c1d51430b9e26bd8543ca724d2f8eeb38a58a49a139df145c48ec
+SIZE (freebsd-drm-kmod-firmware-20250808-20250808_2_GH0.tar.gz) = 48601453
diff --git a/graphics/gpu-firmware-amd-kmod/pkg-plist b/graphics/gpu-firmware-amd-kmod/pkg-plist
index be5150429..7b40c005e 100644
--- a/graphics/gpu-firmware-amd-kmod/pkg-plist
+++ b/graphics/gpu-firmware-amd-kmod/pkg-plist
@@ -8,6 +8,7 @@
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_sos_bin.ko
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_ta_bin.ko
 %%ARCTURUS%%/%%KMODDIR%%/amdgpu_arcturus_vcn_bin.ko
+%%ARCTURUS_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_arcturus_ip_discovery_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_mec2_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_mec_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_rlc_bin.ko
@@ -18,6 +19,7 @@
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_sos_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_ta_bin.ko
 %%ALDEBARAN%%/%%KMODDIR%%/amdgpu_aldebaran_vcn_bin.ko
+%%ALDEBARAN_IP_DISCOVERY%%/%%KMODDIR%%/amdgpu_aldebaran_ip_discovery_bin.ko
 %%BANKS%%/%%KMODDIR%%/amdgpu_banks_k_2_smc_bin.ko
 %%BEIGE_GOBY%%/%%KMODDIR%%/amdgpu_beige_goby_ce_bin.ko
 %%BEIGE_GOBY%%/%%KMODDIR%%/amdgpu_beige_goby_dmcub_bin.ko
@@ -67,6 +69,9 @@
 %%DCN_3_2_0%%/%%KMODDIR%%/amdgpu_dcn_3_2_0_dmcub_bin.ko
 %%DCN_3_2_1%%/%%KMODDIR%%/amdgpu_dcn_3_2_1_dmcub_bin.ko
 %%DCN_3_5%%/%%KMODDIR%%/amdgpu_dcn_3_5_dmcub_bin.ko
+%%DCN_3_5_1%%/%%KMODDIR%%/amdgpu_dcn_3_5_1_dmcub_bin.ko
+%%DCN_3_6%%/%%KMODDIR%%/amdgpu_dcn_3_6_dmcub_bin.ko
+%%DCN_4_0_1%%/%%KMODDIR%%/amdgpu_dcn_4_0_1_dmcub_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_ce_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_mc_bin.ko
 %%FIJI%%/%%KMODDIR%%/amdgpu_fiji_me_bin.ko
